#include <bits/stdc++.h>
using namespace std;
long long mat1[310][310], mat2[310][310];
long long mat3[310][310], mat4[310][310];
long long konacna[310][310];
int main(){
	long long n, m, t;
	scanf("%lld", &t);
	while(t--){
		scanf("%lld %lld", &n, &m);
		for(int i = 1; i <= n; i++){
			for(int j = 1; j <= m; j++){
				scanf("%lld", &mat1[i][j]);
			}
		}
		for(int i = 1; i <= n; i++){
			for(int j = 1; j <= m; j++){
				scanf("%lld", &mat2[i][j]);
			}
		}
		printf("NE\n");
	}
	return 0;
}